petsc-3.4.2 2013-07-02

# PetscSubcommSetTypeGeneral

Set type of subcommunicators from user's specifications

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSubcommSetTypeGeneral(PetscSubcomm psubcomm,PetscMPIInt color,PetscMPIInt subrank,PetscMPIInt duprank)

Collective on MPI_Comm

### Input Parameter

| psubcomm | - PetscSubcomm context
| color | - control of subset assignment (nonnegative integer). Processes with the same color are in the same subcommunicator.
| subrank | - rank in the subcommunicator
| duprank | - rank in the dupparent (see PetscSubcomm)

### Keywords

communicator, create

### See Also

PetscSubcommCreate(),PetscSubcommDestroy(),PetscSubcommSetNumber(),PetscSubcommSetType()

Level:advanced
Location:src/sys/objects/subcomm.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages